Subject: cygwin32_getsockopt missing
From: [email-masked] ("Bruce D. McLeod")

25 Feb 1997 14:06:43 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

cygwin32_getsockopt seems to be missing from libcygwin.a,
although setsockopt is ok.

E:\cygnus\H-i386-cygwin32\i386-cygwin32\lib>nm -op *.a | grep getsockopt
libwsock32.a:ds49.o:00000000 T _getsockopt@20
libwsock32.a:ds49.o:00000000 ? ___imp_getsockopt@20

E:\cygnus\H-i386-cygwin32\i386-cygwin32\lib>nm -op *.a | grep setsockopt
libcygwin.a:ds571.o:00000000 T _cygwin32_setsockopt
libcygwin.a:ds571.o:00000000 ? ___imp_cygwin32_setsockopt
libwsock32.a:ds69.o:00000000 T _setsockopt@20
libwsock32.a:ds69.o:00000000 ? ___imp_setsockopt@20

I'm new to the product and the mailing list, so I apoligize if
this has been covered.

Bruce
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".